/*****************************************************************************
 *
 *	(C) Copyright 1996-1997 Novell, Inc.
 *	All Rights Reserved.
 *
 *	This program is an unpublished copyrighted work which is proprietary
 *	to Novell, Inc. and contains confidential information that is not
 *	to be reproduced or disclosed to any other person or entity without
 *	prior written consent from Novell, Inc. in each and every instance.
 *
 *	WARNING:  Unauthorized reproduction of this program as well as
 *	unauthorized preparation of derivative works based upon the
 *	program or distribution of copies by sale, rental, lease or
 *	lending are violations of federal copyright laws and state trade
 *	secret laws, punishable by civil and criminal penalties.
 *
 ****************************************************************************/

/* Written by Mel Oyler 1996 */

/****************************************************************************/
extern LONG GetConsumerName(
		void *consumerID,
		BYTE *consumerName);

extern struct EventBlock *GetEventBlocks(
		void *ownerID,
		LONG numberOfEventBlocksToGet);

extern LONG GetProducersEventName(
		void *producerID,
		BYTE *eventName);

extern LONG GetProducerName(
		void *producerID,
		BYTE *producerName);

extern LONG ReturnEventBlocks(
		struct EventBlock *eventBlock);

extern LONG ProduceEvent(
		struct EventBlock *eventBlock);

extern LONG RegisterConsumer(
		struct ConsumerRegistrationInfo *regConsumer);

extern LONG RegisterFilter(
		struct FilterRegistrationInfo *regFilter);

extern LONG RegisterProducer(
		struct ProducerRegistrationInfo *regProducer);

extern LONG UnRegisterConsumer(
		void *consumerID,
		void *userParameter);

extern LONG UnRegisterFilter(
		void *filterID);


extern LONG UnRegisterProducer(
		void *producerID,
		void *userParameter);

/****************************************************************************/
/****************************************************************************/

