;
; $name: Driver.Inc
; $version: 4
; $date_modified: 12181998 
; $description: NTR2000 Include file  
; $owner:  ODI LAN Driver Manager
; Copyright (c) 1991 - 1998 Novell, Inc. All Rights Reserved.

; THIS WORK IS SUBJECT TO U.S. AND INTERNATIONAL COPYRIGHT LAWS AND 
; TREATIES. USE AND REDISTRIBUTION OF THIS WORK IS SUBJECT TO THE LICENSE
; AGREEMENT ACCOMPANYING THE SOFTWARE DEVELOPMENT KIT (SDK) THAT CONTAINS
; THIS WORK. PURSUANT TO THE SDK LICENSE AGREEMENT, NOVELL HEREBY GRANTS 
; TO DEVELOPER A ROYALTY-FREE, NON-EXCLUSIVE LICENSE TO INCLUDE NOVELL'S 
; SAMPLE CODE IN ITS PRODUCT. NOVELL GRANTS DEVELOPER WORLDWIDE 
; DISTRIBUTION RIGHTS TO MARKET, DISTRIBUTE, OR SELL NOVELL'S SAMPLE CODE
; AS A COMPONENT OF DEVELOPER'S PRODUCTS. NOVELL SHALL HAVE NO 
; OBLIGATIONS TO DEVELOPER OR DEVELOPER'S CUSTOMERS WITH RESPECT TO THIS 
; CODE.

;***********************************************************************\
;                                                                       *
; DRIVER.INC                                                            *
;                                                                       *
; PUBLIC's and EXTRN's needed by driver object module.                  *
;                                                                       *
; Written by:   DFS														*
; Date:         November 1990                                           *
;                                                                       *
;       (c) Copyright 1991 - 1998 Novell, Inc. All rights reserved.     *
;                                                                       *
;***********************************************************************/
;
include msm.inc
;
OSDATA  segment rw public 'DATA'
;
;***************************************************************\
;                                                               *
; Externals bound to MSM.386 at link time.                      *
;                                                               *
;***************************************************************/
;

OSDATA  ends

OSCODE  segment er public 'CODE'
;
;***************************************************************\
;                                                               *
; Externals bound to MSM.386 at link time.                      *
;                                                               *
;***************************************************************/
;
        extrn   MSMAlertFatal: near
        extrn   MSMAlertWarning: near
        extrn   MSMAllocateRCB: near
        extrn   MSMAlloc: near
        extrn   MSMAllocPages: near
        extrn   MSMDeRegisterSharedMemory: near
        extrn   MSMDriverRemove: near
        extrn   MSMEnablePolling: near
        extrn   MSMFree: near
        extrn   MSMFreePages: near
        extrn   MSMGetCardConfigInfo: near
        extrn   MSMGetInstanceNumberMapping: near
        extrn   MSMGetMicroTimer: near
        extrn   MSMParseDriverParameters: near
        extrn   MSMPrintString: near
        extrn   MSMPrintStringFatal: near
        extrn   MSMPrintStringWarning: near
        extrn   MSMReadEISAConfig: near
        extrn   MSMReadPhysicalMemory: near
        extrn   MSMRegisterHardwareOptions: near
        extrn   MSMRegisterMLID: near
        extrn   MSMRegisterSharedMemory: near
        extrn   MSMReturnDriverResources: near
        extrn   MSMScheduleIntTimeCallBack: near
        extrn   MSMScheduleAESCallBack: near
        extrn   MSMSearchAdapter: near
        extrn   MSMSetHardwareInterrupt: near
        extrn   MSMYieldWithDelay: near
        extrn   MSMScanBusInfo: near
;
;***************************************************************\
;                                                               *
; Externals bound to <MEDIA>.386 at link time.                  *
;                                                               *
;***************************************************************/
;
        extrn   TokenTSMRegisterHSM: near
        extrn   TokenTSMFastSendComplete: near
        extrn   TokenTSMGetNextSend: near
        extrn   TokenTSMGetASMHSMIFLevel: near
        extrn   TokenTSMGetRCB: near
        extrn   TokenTSMProcessGetRCB: near
        extrn   TokenTSMFastProcessGetRCB: near
        extrn   TokenTSMFastRcvComplete: near
        extrn   TokenTSMRcvComplete: near
        extrn   TokenTSMSendComplete: near
        extrn   TokenTSMUpdateMulticast: near
;
;***************************************************************\
;                                                               *
; Publics bound to MSM.386 at link time.                        *
;                                                               *
;***************************************************************/
;
        public  DriverInit
        public  DriverRemove

OSCODE  ends
